libnvme(2)

NAME
struct nvme_zns_desc - Zone Descriptor Data Structure

SYNOPSIS
struct nvme_zns_desc {
__u8 zt;
__u8 zs;
__u8 za;
__u8 zai;
__u8 rsvd4[4];
__le64 zcap;
__le64 zslba;
__le64 wp;
__u8 rsvd32[32];
};

Members

zt  Zone Type

zs  Zone State

za  Zone Attributes

zai Zone Attributes Information

rsvd4
    Reserved

zcap
    Zone Capacity

zslba
    Zone Start Logical Block Address

wp  Write Pointer

rsvd32
    Reserved